Subject: bug#12774: RE: bug#12774: RE: bug#12774: 24.2.50; EMACS 24.2.50.1 crashing‏

From: Eli Zaretskii <[email-masked]>
Date: Sat, 03 Nov 2012 16:16:01 +0200

> From: Vincent Belaïche <[email-masked]>
> CC: <[email-masked]>
> Date: Sat, 3 Nov 2012 14:47:52 +0100
> 
> I did the experiment again, after a few attempts I got it crash, and typed  "thread apply all bt".
> 
> 
> 
> The output " Program received signal SIGTRAP, Trace/breakpoint trap." is printed immediately I click on "Oui" (Yes) button in the dialog that appears when the crash occurs.

If you run Emacs under GDB, you should do this:

 (gdb) break emacs_abort
 (gdb) run

Then Emacs will stop in emacs_abort instead of popping up the abort
dialog, and you will be able to produce a more meaningful backtrace.